Update reconciliation rule
curl --request PATCH \
--url https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"text": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paused": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}"
payload = {
"text": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paused": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
text: '<string>',
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center1_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center2_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center3_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
paused: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>',
'account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cost_center1_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cost_center2_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cost_center3_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'paused' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}"
payload := strings.NewReader("{\n \"text\": \"<string>\",\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center1_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center2_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center3_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"paused\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\",\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center1_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center2_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center3_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"paused\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"<string>\",\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center1_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center2_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center3_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"paused\": true\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "reconciliation_rule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"direction": "debit",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"resolved_line_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Update reconciliation rule
Change the rule or pause it (paused=true). Paused rules stop applying; lines they already resolved keep their movement. An active rule then applies to pending lines of open periods.
PATCH
/
api
/
v1
/
reconciliation-rules
/
{reconciliation_rule_id}
Update reconciliation rule
curl --request PATCH \
--url https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"text": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paused": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}"
payload = {
"text": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paused": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
text: '<string>',
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center1_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center2_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center3_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
paused: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'text' => '<string>',
'account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'contact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cost_center1_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cost_center2_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'cost_center3_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'paused' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}"
payload := strings.NewReader("{\n \"text\": \"<string>\",\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center1_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center2_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center3_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"paused\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\",\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center1_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center2_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center3_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"paused\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/reconciliation-rules/{reconciliation_rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"text\": \"<string>\",\n \"account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center1_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center2_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"cost_center3_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"paused\": true\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "reconciliation_rule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"direction": "debit",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"resolved_line_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
Body
application/json
Was this page helpful?

